it-swarm.com.de

Suchen Sie mit apt nur nach installierten Paketen

Mit aptitude kann ich eine Suche durchführen wie:

aptitude search '~i bash'

Dies scheint ein fähigkeitsspezifischer Regex zu sein. Ist es möglich, dasselbe mit apt oder apt-cache Ohne zusätzliche Befehle zu tun?

apt search '~i bash'

funktioniert nicht.

17
Exostor

Du kannst es versuchen:

apt list --installed bash

Dadurch wird versucht, die installierten packages mit dem Namen bash aufzulisten

Wenn Sie jedoch nach einer bestimmten Datei suchen möchten, verwenden Sie apt-file

Der folgende Befehl listet alle Pakete auf, deren Name die Zeichenfolge bash enthält:

apt list -a --installed bash

Wie von @Exostor vorgeschlagen apt list -a --installed bash ist nicht immer der Fall, um die Pakete aufzulisten, die mit einer bestimmten Zeichenfolge beginnen. Verwenden Sie stattdessen:

apt list -a --installed bash*

Wenn Sie nach Globbing suchen, stimmen Sie bitte dem Kommentar von @Exostor unten zu.

20
VanagaS

dpkg-query --list | grep '^.i\s*PKG'

oder:

dpkg-query --list PKG\* | grep '^.i'

dabei ist PKG der gewünschte Paketname/ein reg-ex.

6
elig

Wenn sich jemand fragt, wie ich das machen soll, verwende ich die folgende Methode.

apt list --installed | grep [XYZ]

Diese Methode zeigt auch verschiedene Pakete an, die installiert sind und die gesuchte Zeichenfolge enthalten. Wenn ich beispielsweise nach vlc suche, werden mir viele andere Pakete angezeigt, deren Name ebenfalls 'vlc' enthält. Hier ist Eingabe und Ausgabe:

apt list --installed | grep vlc

WARNING: apt.divert does not have a stable CLI interface. Use with caution in scripts.

browser-plugin-vlc/stable,now 2.0.6-4 AMD64 [installed]
libvlc-bin/stable,stable,now 2.2.7-1~deb9u1 AMD64 [installed]
libvlc5/stable,stable,now 2.2.7-1~deb9u1 AMD64 [installed]
libvlccore8/stable,stable,now 2.2.7-1~deb9u1 AMD64 [installed]
phonon4qt5-backend-vlc/stable,now 0.9.0-2 AMD64 [installed,automatic]
vlc/stable,stable,now 2.2.7-1~deb9u1 AMD64 [installed]
vlc-bin/stable,stable,now 2.2.7-1~deb9u1 AMD64 [installed]
vlc-data/stable,stable,stable,stable,now 2.2.7-1~deb9u1 all [installed]
vlc-l10n/stable,stable,stable,stable,now 2.2.7-1~deb9u1 all [installed]
vlc-plugin-base/stable,stable,now 2.2.7-1~deb9u1 AMD64 [installed]
vlc-plugin-notify/stable,stable,now 2.2.7-1~deb9u1 AMD64 [installed]
vlc-plugin-qt/stable,stable,now 2.2.7-1~deb9u1 AMD64 [installed]
vlc-plugin-samba/stable,stable,now 2.2.7-1~deb9u1 AMD64 [installed]
vlc-plugin-skins2/stable,stable,now 2.2.7-1~deb9u1 AMD64 [installed]
vlc-plugin-video-output/stable,stable,now 2.2.7-1~deb9u1 AMD64 [installed]
vlc-plugin-video-splitter/stable,stable,now 2.2.7-1~deb9u1 AMD64 [installed]
vlc-plugin-visualization/stable,stable,now 2.2.7-1~deb9u1 AMD64 [installed]

Wenn sich herausstellt, dass Sie das Paket nicht installiert haben, wird der Befehl einfach beendet.

2
Ev-